#
# spec file for package RealPlayer (Version 10.0.5)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa PolicyKit aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison boost bzip2 coreutils cpio cpp cpp41 cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dbus-1-qt3 desktop-data-SuSE desktop-translations diffutils e2fsprogs expat fam file fileshareset filesystem fillup findutils flex fontconfig freetype2 gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel ghostscript-mini glib2 glibc glibc-devel glibc-locale gnome-filesystem gnome-mime-data gpm grep groff gzip hal hal-resmgr htdig hwinfo info info2html insserv kdebase3 kdebase3-SuSE kdelibs3 kio_slp klogd less libacl libart_lgpl libattr libcom_err libdrm libgcc41 libgcrypt libgpg-error libicu libidn libjpeg liblazy libltdl libmudflap41 libnscd libpng libstdc++41 libtiff libtool libusb libvolume_id libxcrypt libxml2 libxslt libzio libzypp linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl pam pam-modules patch perl permissions pm-utils popt procinfo procps psmisc pwdutils python qt3 rcs readline recode resmgr rpm sed shared-mime-info sqlite strace sudo susehelp sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim wget xorg-x11 xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxkbfile yast2-theme-openSUSE zlib zlib-devel zypper

Name:           RealPlayer
BuildRequires:  gnome-mime-data kdebase3-SuSE shared-mime-info update-desktop-files
# Set RealPlayer as default player for this product (priority 10).
%define DEFAULT_PLAYER 1
# Set RealPlayer as default player for this product (priority 5).
%define PREFERRED_PLAYER 0
# Force Real icon branding for already branded non-Real MIME types.
%define FORCED_BRANDING 0
# Use Real icon branding for already defined non-Real MIME types using default media icon (GNOME only).
%define PREFERRED_BRANDING 0
# This spec file is tri-licensed as GPL, RCSL, and RPSL.
# There is a bug in the SuSE build system. It replaces the license
# block with a SuSE-specific copyright -- this header is not correct.
# Please submit all modifications back to dev@player.helixcommunity.org
# under the terms of the GPL/RPSL.
#
# ***** BEGIN LICENSE BLOCK *****
# Portions Copyright (c) 1995-2004 RealNetworks, Inc. All Rights Reserved.
# 
# The contents of this file, and the files included with this file,
# are subject to the current version of the RealNetworks Public
# Source License (the "RPSL") available at
# http://www.helixcommunity.org/content/rpsl unless you have licensed
# the file under the current version of the RealNetworks Community
# Source License (the "RCSL") available at
# http://www.helixcommunity.org/content/rcsl, in which case the RCSL
# will apply. You may also obtain the license terms directly from
# RealNetworks.  You may not use this file except in compliance with
# the RPSL or, if you have a valid RCSL with RealNetworks applicable
# to this file, the RCSL.  Please see the applicable RPSL or RCSL for
# the rights, obligations and limitations governing use of the
# contents of the file.
# 
# Alternatively, the contents of this file may be used under the
# terms of the GNU General Public License Version 2 or later (the
# "GPL") in which case the provisions of the GPL are applicable
# instead of those above. If you wish to allow use of your version of
# this file only under the terms of the GPL, and not to allow others
# to use your version of this file under the terms of either the RPSL
# or RCSL, indicate your decision by deleting the provisions above
# and replace them with the notice and other provisions required by
# the GPL. If you do not delete the provisions above, a recipient may
# use your version of this file under the terms of any one of the
# RPSL, the RCSL or the GPL.
# 
# This file is part of the Helix DNA Technology. RealNetworks is the
# developer of the Original Code and owns the copyrights in the
# portions it created.
# 
# This file, and the files included with this file, is distributed
# and made available on an 'AS IS' basis, WITHOUT WARRANTY OF ANY
# KIND, EITHER EXPRESS OR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS
# ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET
# ENJOYMENT OR NON-INFRINGEMENT.
# 
# Technology Compatibility Kit Test Suite(s) Location:
#    http://www.helixcommunity.org/content/tck
# 
# Contributor(s): Stanislav Brabec <sbrabec@suse.cz>
#                 Nicholas Hart <nhart@real.com>
#                 Ryan Gammon <rgammon@real.com>
# 
# ***** END LICENSE BLOCK *****
# 
%define _translations de es fr hi it ja ko pl pt_BR zh_CN zh_TW 
License:        Any commercial
Group:          Productivity/Multimedia/Video/Players
Provides:       rvplayer
Obsoletes:      rvplayer, G2player, RealOne
PreReq:         /bin/rm shared-mime-info
Requires:       gnome-icon-theme
Autoreqprov:    on
Version:        10.0.5
Release:        34
Summary:        RealPlayer 10 for Linux
URL:            http://www.real.com/linux
Source:         install.bz2
Patch1:         RealPlayer-desktop.patch
Patch2:         RealPlayer-helixlibs.patch
Patch3:         RealPlayer_nld9_desktop.patch
Patch4:         RealPlayer-kfmclient.patch
Requires:       gtk2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
NoSource:       0

%description
RealPlayer is a media player providing solid media playback locally and
via streaming. It plays RealAudio, RealVideo, MP3, 3GPP Video, Flash,
SMIL 2.0, JPEG, GIF, PNG, RealPix, RealText, and more. RealPlayer 10
for Linux builds on top of the popular GPL/RPSL Helix Player 1.0.



%prep
%setup -c
%patch1 -p1 -b .desktop
%patch2 -p1 -b .helixlibs
%patch3 -p1
%patch4 -p1
%if %DEFAULT_PLAYER == 1
echo "InitialPreference=10" >>share/realplay.desktop
%else
%if %PREFERRED_PLAYER == 1
echo "InitialPreference=5" >>share/realplay.desktop
%endif
%endif

%build

%install
export NO_BRP_STRIP_DEBUG=true
mkdir -p $RPM_BUILD_ROOT/usr/%_lib/browser-plugins
mkdir -p $RPM_BUILD_ROOT{/opt/gnome/share/icons/hicolor,/etc/opt/kde3/share/icons/crystalsvg}/{16x16,32x32,48x48,192x192}/{apps,mimetypes}
mkdir -p $RPM_BUILD_ROOT/usr/share/mime/packages
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/applications/kde
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/mime-info
mkdir -p $RPM_BUILD_ROOT/opt/gnome/share/application-registry
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/%_lib/RealPlayer10
mkdir -p $RPM_BUILD_ROOT/usr/%_lib/RealPlayer10/share
cp -a ./codecs $RPM_BUILD_ROOT/usr/%_lib/RealPlayer10
cp -a ./common $RPM_BUILD_ROOT/usr/%_lib/RealPlayer10
cp -a ./plugins $RPM_BUILD_ROOT/usr/%_lib/RealPlayer10
cp -a ./share/default $RPM_BUILD_ROOT/usr/%_lib/RealPlayer10/share
cp -a ./share/realplay $RPM_BUILD_ROOT/usr/%_lib/RealPlayer10/share
cp ./README $RPM_BUILD_ROOT/usr/%_lib/RealPlayer10
cp ./LICENSE $RPM_BUILD_ROOT/usr/%_lib/RealPlayer10
for LANGUAGE in %{_translations}; do
    mkdir -p $RPM_BUILD_ROOT/usr/share/locale/$LANGUAGE/LC_MESSAGES
    mkdir -p $RPM_BUILD_ROOT/usr/%_lib/RealPlayer10/share/locale/$LANGUAGE
    cp "./share/locale/$LANGUAGE/player.mo" "$RPM_BUILD_ROOT/usr/share/locale/$LANGUAGE/LC_MESSAGES/realplay.mo"
    cp "./share/locale/$LANGUAGE/widget.mo" "$RPM_BUILD_ROOT/usr/share/locale/$LANGUAGE/LC_MESSAGES/libgtkhx.mo"
    cp "./share/locale/$LANGUAGE/README" "$RPM_BUILD_ROOT/usr/%_lib/RealPlayer10/share/locale/$LANGUAGE"
    cp "./share/locale/$LANGUAGE/LICENSE" "$RPM_BUILD_ROOT/usr/%_lib/RealPlayer10/share/locale/$LANGUAGE"
done
install -p -m644 ./share/realplay.png $RPM_BUILD_ROOT/usr/share/pixmaps
install -p -m644 ./share/realplay.desktop $RPM_BUILD_ROOT/usr/share/applications
install -p -m644 ./share/realplay.xml $RPM_BUILD_ROOT/usr/share/mime/packages/realplay.xml
install -p -m644 ./share/realplay.applications $RPM_BUILD_ROOT/opt/gnome/share/application-registry
%if %FORCED_BRANDING == 1
install -p -m644 ./share/realplay.keys $RPM_BUILD_ROOT/opt/gnome/share/mime-info
%else
%if %PREFERRED_BRANDING == 1
rm -rf gnome-mime-types
mkdir gnome-mime-types
FILE=dummy
(
    cd gnome-mime-types
    set +x
    export LC_ALL=C
    while read ; do
	if test "${REPLY#[a-zA-Z]}" != "$REPLY" ; then
	    FILE="$REPLY"
	    mkdir -p ${FILE%/*}
	fi
	echo >>"$FILE" "$REPLY"
    done </opt/gnome/share/mime-info/gnome-vfs.keys
    rm -f dummy
)
%endif
while read ; do
    if [ "${REPLY:0:1}" != $'\t' ] ; then
%if %PREFERRED_BRANDING == 1
	if fgrep -q "icon_filename=" gnome-mime-types/$REPLY ; then
%else
	if grep -q "^$REPLY\$" /opt/gnome/share/mime-info/gnome-vfs.keys ; then
%endif
	    if test "$REPLY" = "${REPLY/real/}" ; then
		KNOWN_BRANDING=true
	    else
		KNOWN_BRANDING=false
	    fi
	else
	    KNOWN_BRANDING=false
	fi
	echo "$REPLY"
    else
	if test "$REPLY" = "${REPLY/icon_filename=/}" -o "$KNOWN_BRANDING" = false ; then
	    echo "$REPLY"
	fi
    fi
done <./share/realplay.keys >$RPM_BUILD_ROOT/opt/gnome/share/mime-info/realplay.keys
rm -rf gnome-mime-types
%endif
install -p -m644 ./share/realplay.mime $RPM_BUILD_ROOT/opt/gnome/share/mime-info
cp ./mozilla/nphelix.so $RPM_BUILD_ROOT/usr/%_lib/browser-plugins
cp ./mozilla/nphelix.xpt $RPM_BUILD_ROOT/usr/%_lib/browser-plugins
cp ./realplay.bin $RPM_BUILD_ROOT/usr/%_lib/RealPlayer10
cp ./realplay $RPM_BUILD_ROOT/usr/%_lib/RealPlayer10
ln -s /usr/%_lib/RealPlayer10/realplay $RPM_BUILD_ROOT/usr/bin
install -m 0755 realplay-kde $RPM_BUILD_ROOT/usr/bin/
(
    cd share/mimelnk
    for MIME in */*.desktop ; do
        %if %FORCED_BRANDING == 0
            if test -f /opt/kde3/share/mimelnk/$MIME ; then
	        if test "$MIME" = "${MIME/real/}" ; then
                    continue
  	        fi
            fi
        %endif
        mkdir -p $RPM_BUILD_ROOT/etc/opt/kde3/share/mimelnk/${MIME%/*}
        cp $MIME $RPM_BUILD_ROOT/etc/opt/kde3/share/mimelnk/$MIME
    done
)
for SIZE in "48x48" ; do
    for MIME in $(cd share/icons ; ls -1 mime-* | sed 's/mime-//;s/_[0-9]*x[0-9]*.png//' | sort -u) ; do
        ICON="./share/icons/mime-${MIME}_$SIZE.png"
        cp "$ICON" "$RPM_BUILD_ROOT/opt/gnome/share/icons/hicolor/$SIZE/mimetypes/realplay-${MIME}.png"
        cp "share/icons/crystalsvg/mime-real_${SIZE}.png" "$RPM_BUILD_ROOT/etc/opt/kde3/share/icons/crystalsvg/$SIZE/apps/realplay-${MIME}.png"
    done
done
for SIZE in "16x16" "32x32" "48x48" "192x192" ; do
    cp ./share/icons/realplay_${SIZE}.png $RPM_BUILD_ROOT/opt/gnome/share/icons/hicolor/${SIZE}/apps/realplay.png
    cp ./share/icons/realplay_${SIZE}.png $RPM_BUILD_ROOT/etc/opt/kde3/share/icons/crystalsvg/${SIZE}/apps/realplay.png
done
sed 's/Exec=realplay/&-kde %U/;/Categories=/aOnlyShowIn=KDE;' <$RPM_BUILD_ROOT/usr/share/applications/realplay.desktop >$RPM_BUILD_ROOT/opt/kde3/share/applications/kde/realplay-kde.desktop
%suse_update_desktop_file -i realplay
%suse_update_desktop_file -i realplay-kde
sed -i '/Categories=/aNotShowIn=KDE' $RPM_BUILD_ROOT/usr/share/applications/realplay.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Remove obsolete file from old version (up to SuSE Linux 9.0).
rm -f /usr/%_lib/RealPlayer8/mimeinstall.log
rmdir /usr/%_lib/RealPlayer8 2>/dev/null || true

%post
/usr/bin/update-mime-database /usr/share/mime > /dev/null

%postun
/usr/bin/update-mime-database /usr/share/mime > /dev/null

%files
%defattr(-,root,root)
%doc README LICENSE
/usr/%_lib/RealPlayer10
/usr/%_lib/browser-plugins/*
/usr/share/applications/*.desktop
# own directories from gnome-icon-theme
/opt/gnome/share/icons/hicolor
/usr/share/mime/packages/*.*
/usr/share/pixmaps/*.png
/usr/share/locale/*/LC_MESSAGES/*
/usr/bin/realplay*
/opt/gnome/share/mime-info/*.*
/opt/gnome/share/application-registry/*.applications
# own directories from kdelibs3 and kdebase3-SuSE
/etc/opt/kde3
/opt/kde3

%changelog
* Sun Mar 19 2006 - schwab@suse.de
- Remove LD_ASSUME_KERNEL.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Sep 10 2005 - olh@suse.de
- export LD_ASSUME_KERNEL=2.4.21 or realplay will just hang
* Wed Aug 17 2005 - sbrabec@suse.cz
- Updated kfmclient patch.
* Wed Jul 27 2005 - schwab@suse.de
- Update to RealPlayer 10.0.5.
* Wed Sep 03 2003 - sbrabec@suse.cz
- Synchronized with i386.
- Removed %%post and moved all changes to aaa_base and package itself.
* Thu Aug 14 2003 - sbrabec@suse.cz
- Sync with i386 branch, where applicable.
* Thu Aug 29 2002 - uli@suse.de
- added PreReq, fixed KDE3/GNOME2 paths
* Thu Aug 01 2002 - olh@suse.de
- change default permissions to root.root
* Tue Oct 16 2001 - uli@suse.de
- initial PPC version
* Tue Apr 17 2001 - uli@suse.de
- update -> 8.0
* Fri Jan 05 2001 - uli@suse.de
- new package, version 7.0
